[SciPy-User] Compiling SciPy almost works

David Warde-Farley dwf@cs.toronto....
Fri Aug 6 11:42:59 CDT 2010


On 2010-08-05, at 5:28 AM, Matthieu Brucher wrote:

>> The problem is those are not free, and that our build infrastructure
>> sucks. So we mostly rely on volunteers to make this work, but I don't
>> think people can expect to get the same support for Intel compilers and
>> Gnu compilers on linux.
> 
> I tested with numpy 1.4.1rc2 and scipy 0.7.2rc3 (I know, they are
> pretty old now) with Intel compilers and the associated MKL (11.1) for
> Python 2.6, I never had this kind of issue.
> Of course, my own Python version is compiled with Intel compilers.

I just tried compiling 0.8.0 and I get the same issue, even with Intel-compiled Python. I was using NumPy 1.5.0b1.

Also, this is off topic but Matthieu -- when building Python with the Intel compilers did you get ctypes to build properly with icc? It fails for me.

David


More information about the SciPy-User mailing list